# TrainRequest


## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**validation** | **str** | Methods for validating the model using the provided dataset. If set to \&quot;custom\&quot;, &#x60;validationSplits&#x60; must also be provided | [optional]  if omitted the server will use the default value of "none"
**validation_target_columns** | **[str], none_type** | A list of the training dataset&#39;s column names that the model&#39;s validation metric will be the median average over.  Cannot include descriptor columns.  If not provided then the model&#39;s validation metric will be the median average over all non-descriptor columns. | [optional] 
**validation_splits** | [**[ValidationSplit]**](ValidationSplit.md) | A list of test-train pairs, describing the row IDs of the training dataset to include in each validation split. Must be provided exactly when &#x60;validation&#x60; is &#39;custom&#39;.  | [optional] 
**hyperparameter_optimization** | **str** | Search method for finding the optimal parameters to use when training the model.  If &#39;none&#39; then the parameters as specified by the &#39;hyperparameters&#39; argument will be used to train the model.  If &#39;hyperparameterOptimization&#39; is not &#39;none&#39; then &#39;validation&#39; must also be not &#39;none&#39;. | [optional]  if omitted the server will use the default value of "none"
**bespoke_column_hyperparameters** | **bool** | Whether to use bespoke hyperparameters for each target column. If false, hyperparameters are shared between columns. Defaults to true. | [optional]  if omitted the server will use the default value of True
**hyperparameters** | **{str: (bool, date, datetime, dict, float, int, list, str, none_type)}** | The hyperparameters which Alchemite will use when training.  If &#39;hyperparameterOptimization&#39; is &#39;none&#39;, these hyperparameters will be used for training, otherwise the hyperparameters will be used as a starting point for optimization.  If no argument is provided for this parameter and the model was previously trained then the existing hyperparameters will be used to train the model, otherwise Alchemite&#39;s default hyperparameters will be used instead. | [optional] 
**fraction_data_present** | **[float]** | The fraction of data expected to be in each column of the datasets which the model will make predictions from.  The list &#39;fractionDataPresent&#39; should be ordered corresponding to the training dataset&#39;s &#39;columnHeaders&#39; parameter. | [optional] 
**virtual_experiment_validation** | **bool** | If true then only the descriptor columns will be used to make predictions when computing the validation metric. | [optional]  if omitted the server will use the default value of False
**virtual_training** | **bool** | If true then only the descriptor columns will be used as input in the first iteration of training | [optional]  if omitted the server will use the default value of False
**permitted_column_relationships** | [**[ModelsIdTrainPermittedColumnRelationships]**](ModelsIdTrainPermittedColumnRelationships.md) | An array of objects defining which columns the ML model is able to use or not use as inputs when modelling specific columns.  The \&quot;allow\&quot; and \&quot;disallow\&quot; arrays must contain distinct columns. They do not need to contain all columns in the dataset.  If columns are not allowed in either \&quot;allow\&quot; nor \&quot;disallow\&quot;, the model will use default behaviors:   - use all descriptors for all targets when virtualTraining is true.   - use all descriptors + targets when virtualTraining is false for all targets (except for the same target -&gt; target).  if virtualTraining is false:   This is equivalent to passing \&quot;allow\&quot;: list_of_all_columns for every column in the dataset.   Therefore, passing allow when virtualTraining is false has no effect on the model.   However, columns passed within \&quot;disallow\&quot; will have an effect.  if virtualTraining is true:   This is equivalent to passing \&quot;allow\&quot;: list_of_all_descriptors and passing \&quot;disallow\&quot; for all non descriptors.   Therefore, passing descriptor columns in the \&quot;allow\&quot; list has no effect on the model.   Similarly, passing non descriptor columns in the \&quot;disallow\&quot; list has no effect on the model.   However, columns passed within \&quot;allow\&quot; for non descriptors, and \&quot;disallow\&quot; for descriptors will have an effect.  Interaction with Measurement Groups:   If measurement groups are specified for the training dataset that are incompatible, a 400 response is returned.   This happens when a column defined in \&quot;name\&quot; and one or more columns defined in \&quot;allow\&quot; are part of the same measurement group.  | [optional] 
**enable_training_dataset_outliers** | **bool, none_type** | If true then compute the outliers in the training dataset using the validation sub-models. If &#x60;validation&#x60; is &#39;5-fold&#39;, each will be trained on 80% of the full dataset to identify the outliers in the remaining 20%. If &#x60;validation&#x60; is &#39;custom&#39;, each row in a test set will be checked against a model trained on the matching train set. Please note, if &#x60;validation&#x60; is &#39;80/20&#39;, only the validation 20% will report outliers, and is thus not recommended.  If null then will be set to true if &#x60;validation&#x60; is not equal to &#39;none&#39;. Otherwise will be false.  Once &#x60;trainingDatasetOutliersJobStatus&#x60; in the model metadata has the value &#39;done&#39; then the results will be available via &#x60;/models/id/training-dataset-outliers&#x60;. Computing the outliers this way is generally expected to give better results than using the model trained on the full dataset to identify the outliers in its own training dataset.  | [optional] 
**max_number_samples** | **int** | The maximum number of hyperparameter optimization samples to use for training the model.  Training may stop before the specified amount of samples if an ideal set of hyperparameters if found early.  If &#39;hyperparameterOptimization&#39; is &#39;none&#39; then &#39;maxNumberSamples&#39; will be ignored.  | [optional]  if omitted the server will use the default value of 300

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


